complexType "Commission"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 5 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | commissionDenomination?, commissionAmount?, currency?, commissionPerTrade?, fxRate*
</...>

Content Model Elements (5):

  commissionAmount, commissionDenomination, commissionPerTrade, | currency (in commission), fxRate (in commission)

All Direct / Indirect Based Elements (1):

  commission

Known Usage Locations

- As direct type of elements (1):
  commission

Annotation
A type describing the commission that will be charged for each of the hedge transactions.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="Commission"> <xsd:sequence> <xsd:element minOccurs="0" name="commissionDenomination" type="CommissionDenominationEnum"/> <xsd:element minOccurs="0" name="commissionAmount" type="xsd:decimal"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="commissionPerTrade" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fxRate" type="FxRate"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
commissionAmount

  Type: | xsd:decimal, predefined, simple content

  The commission amount, expressed in the way indicated by the commissionType element.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commissionAmount" type="xsd:decimal"/>

commissionDenomination

  Type: | CommissionDenominationEnum, simple content

  The type of units used to express a commission.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "BPS" | - | The commission is expressed in basis points, in reference to the price referenced in the document. See: http://www.FpML.org
  "Percentage" | - | The commission is expressed as a percentage of the gross price referenced in the document. See: http://www.FpML.org
  "CentsPerShare" | - | The commission is expressed in cents per share. See: http://www.FpML.org
  "FixedAmount" | - | The commission is expressed as a absolute amount. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commissionDenomination" type="CommissionDenominationEnum"/>

commissionPerTrade

  Type: | xsd:decimal, predefined, simple content

  The total commission per trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commissionPerTrade" type="xsd:decimal"/>

currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

fxRate

  Type: | FxRate, complex content

  FX Rates that have been used to convert commissions to a single currency.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="fxRate" type="FxRate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.